package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrfileinfotest.AddOcrFileInfoTestDTO;
import com.docus.server.dto.segmentation.ocrfileinfotest.DeleteOcrFileInfoTestDTO;
import com.docus.server.dto.segmentation.ocrfileinfotest.EditOcrFileInfoTestDTO;
import com.docus.server.entity.segmentation.OcrFileInfoTest;
import com.docus.server.vo.segmentation.ocrfileinfotest.OcrFileInfoTestVO;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ocr文件信息-调试 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrFileInfoTestService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrFileInfoTestVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrFileInfoTestVO> findAll();

    @Transactional(rollbackFor = Exception.class)
    Long saveOrUpdate(AddOcrFileInfoTestDTO files);

    /**
     * 新增
     *
     * @param addOcrFileInfoTestDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrFileInfoTestDTO addOcrFileInfoTestDTO);

    /**
     * 编辑
     *
     * @param editOcrFileInfoTestDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrFileInfoTestDTO editOcrFileInfoTestDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrFileInfoTestDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrFileInfoTestDTO deleteOcrFileInfoTestDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrFileInfoTestVO> search(SearchDTO searchDTO);

    void addBatch(List<AddOcrFileInfoTestDTO> files);

    OcrFileInfoTest findOneBy(String patientId);
}
